ant-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Nicolas Lalevée (JIRA) <j...@apache.org>
Subject [jira] Resolved: (IVYDE-38) ant classpath for eclipse
Date Wed, 26 Mar 2008 12:35:26 GMT

     [ https://issues.apache.org/jira/browse/IVYDE-38?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Nicolas Lalevée resolved IVYDE-38.
----------------------------------

    Resolution: Duplicate

The issue was sort of fixed with IVYDE-38. Now IvyDE doesn't include Ivy and isn't anymore
a extra classpath entry to Ant.
IvyDE and Ivy are now two seperate bundle. So in order ti still use Ivy task in eclipse, you
should configure Ant classpath manually.

> ant classpath for eclipse
> -------------------------
>
>                 Key: IVYDE-38
>                 URL: https://issues.apache.org/jira/browse/IVYDE-38
>             Project: IvyDE
>          Issue Type: Improvement
>    Affects Versions: 1.1.0
>            Reporter: Gabriele Garuglieri
>            Assignee: Xavier Hanin
>
> Please add eclipseRuntime="false" to the org.eclipse.ant.core.extraClasspathEntries extension
point otherwise the ivy.jar will not be available for ant running in a different jvm than
eclipse.
> The xml snippet should look:
> <extension point="org.eclipse.ant.core.extraClasspathEntries" >
> <extraClasspathEntry library="lib/ant/ivy.jar" eclipseRuntime="false" />
> </extension>

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message